Bug 481193 - kernel_module_package versioning macros not exposed
kernel_module_package versioning macros not exposed
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: redhat-rpm-config (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Weiping Pan
BaseOS QE Security Team
:
Depends On:
Blocks: 1049888
  Show dependency treegraph
 
Reported: 2009-01-22 12:22 EST by dann frazier
Modified: 2015-01-04 16:54 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 10:23:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dann frazier 2009-01-22 12:22:58 EST
Description of problem:
The following lines appear in /usr/lib/rpm/redhat/macros:

 # Use these macros to differentiate between RH and other KMP implementation(s).
 redhat_kernel_module_package    1
 kernel_module_package_release   1

However, these macros don't appear to be testable in a spec file and don't appear in rpm --showrc output.

Version-Release number of selected component (if applicable):
redhat-rpm-config-8.0.45-24.el5

How reproducible:
100%

Steps to Reproduce:
My understanding is that 
1. rpm --showrc | grep redhat_kernel_module_package
  
Actual results:
Nothing

Expected results:
A match

Additional info:
My goal is to come up with a robust (but hopefully simple) mechanism for detecting if a system supports a given style of kernel module package.
Comment 1 Jon Masters 2009-12-15 02:42:18 EST
Apologies for not updating this BZ sooner. I believe we spoke offline about it in any case a few times, but for the record...we're not planning to update this package in RHEL5.5. I will have it considered for RHEL5.6 and am going to ensure it is on the radar for 6.0.
Comment 3 RHEL Product and Program Management 2010-08-09 14:16:50 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 8 Weiping Pan 2013-12-17 03:50:22 EST
Agreed. I do not have plan to fix it for 5.11, thanks.
Comment 11 RHEL Product and Program Management 2014-02-05 10:23:14 EST
Product Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.